Subject: Re: bug#8688: 23.2; search-whitespace-regexp not working as documented

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 May 2011 19:14:00 -0300

>>> I think you're being confused by the way customize treats regexps (it
>>> confuses me as well; I'm not sure it is helpful).
>> They are just literal strings, without lisp-level quoting.
> I know, but I find it confusing, and it seems others do too (eg this;
> also bug#2666). It makes it difficult to write doc-strings for 'regexp
> defcustoms, as we see in both of these cases.
>>> Oh, it's not possible to type a TAB, or ctrl-M, or newline, in a custom
>>> field
>> C-q works fine.
> Yes, but that's not what the doc says people should type, and IMO
> "ctrl-q ctrl-j" is a lot more confusing than "\n", especially in an
> interface that is supposed to make life easier.

Maybe our regexp language should accept \n and \t as escape sequences,
i.e. "\t" and "\\t" should match the same things.  I know it would be
redundant, but in cases such as regexp isearch or the above it can be handy.

        Stefan